更新时间:2022-05-19 GMT+08:00
分享

源数据库版本是否支持

MySQL迁移场景

表1 源数据库版本是否支持

预检查项

源数据库版本是否支持。

描述

检查源数据库版本是否属于MySQL 5.5.x、MySQL 5.6.x、MySQL 5.7.x和MySQL 8.0.x。

不通过提示处理建议

不通过原因:源数据库版本不支持。

处理建议:通过导入和导出的方式进行迁移,请参考《关系型数据库用户指南》中“使用mysqldump迁移MySQL数据”章节。

不通过原因:用户基本权限不足。

处理建议:查看对应数据库账号权限是否符合迁移要求。

不通过原因:内部错误。

处理建议:请联系华为技术支持人员处理。

不通过原因:源数据库连接失败,导致该项检查无法进行。

处理建议:查看源数据库连接是否成功。

MongoDB->DDS迁移场景

表2 源数据库版本是否支持

预检查项

源数据库版本是否支持。

描述

检查源数据库版本是否属于MongoDB 3.2.x、MongoDB 3.4.x和MongoDB 4.0.x。

不通过提示处理建议

不通过原因:源数据库版本不支持。

处理建议:查看源数据库版本是否符合迁移要求,目前只支持MongoDB 3.2.x、MongoDB 3.4.x和MongoDB 4.0.x。

不通过原因:源数据库连接失败,导致该项检查无法进行。

处理建议:查看源数据库连接是否成功。

不通过原因:创建DRS任务时,增量数据获取方式配置为changeStream,但是源库版本小于4.0。。

处理建议:当增量数据获取方式配置为changeStream,请确保源库版本不小于4.0。

不通过原因:内部错误。

处理建议:请联系华为技术支持人员处理。

PostgreSQL->GaussDB(DWS)同步场景

表3 源数据库版本是否支持

预检查项

源数据库版本是否支持。

描述

检查源数据库版本是否属于大版本PostgreSQL 9.4、PostgreSQL 9.5、PostgreSQL 9.6、PostgreSQL 10.0、PostgreSQL 11.0、PostgreSQL 12.0和PostgreSQL 13.0。

不通过提示处理建议

不通过原因:源数据库连接失败,导致该项检查无法进行。

处理建议:查看源数据库连接是否成功。

不通过原因:源数据库版本不支持。

处理建议:查看源数据库版本是否符合迁移要求,目前支持大版本PostgreSQL 9.4、PostgreSQL 9.5、PostgreSQL 9.6、PostgreSQL 10.0、PostgreSQL 11.0、PostgreSQL 12.0和PostgreSQL 13.0。

不通过原因:用户基本权限不足。

处理建议:查看对应的数据库账号权限是否符合迁移要求。

不通过原因:内部错误。

处理建议:请联系华为技术支持人员处理。

Oracle为源同步场景

表4 源数据库版本是否支持

预检查项

源数据库版本是否支持。

描述

检查源数据库版本是否属于Oracle 10g、Oracle 11g、Oracle 12c、Oracle 18c和Oracle 19c版本。

不通过提示处理建议

不通过原因:源数据库版本不支持。

处理建议:查看源数据库版本是否符合迁移要求,目前支持Oracle 10g、Oracle 11g、Oracle 12c、Oracle 18c和Oracle 19c版本。

MySQL->PostgreSQL同步场景

表5 源数据库版本是否支持

预检查项

源数据库版本是否支持。

描述

检查源数据库版本是否符合MySQL到PostgreSQL的实时同步要求。

不通过提示处理建议

不通过原因:源数据库版本不支持。

处理建议:查看源数据库版本是否符合迁移要求,目前源数据库支持MySQL5.5、5.6、5.7、8.0版本。

分享:

    相关文档

    相关产品

close